Robotsystem of the Robot Group Leipzig: Deprivation Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Deprivation Class Reference

robot controller for self-organized behaviour just like invertmotornstep, just that is enables us to execute the same motor commands for a long time More...

`#include <deprivation.h>`

Inherits InvertMotorNStep.

Inheritance diagram for Deprivation:

[legend]
Collaboration diagram for Deprivation:

[legend]
List of all members.

## Public Types
typedef matrix::Matrix(*) | MotorCallback (const matrix::Matrix &y)
| is called with current motor values and returns new motor values
typedef void(*) | ControllerCallback (matrix::Matrix &C, matrix::Matrix &H)
| is called with current controller matrix C and bias H which can be alterned
## Public Member Functions
| Deprivation (MotorCallback motorCallback, ControllerCallback controllerCallback=0, const InvertMotorNStepConf &conf=getDefaultConf())
virtual | ~Deprivation ()
virtual void | setExternalControlMode (bool useExternal)
virtual bool | getExternalControlMode ()
## Protected Member Functions
virtual void | learnController ()
| overloaded
virtual matrix::Matrix | calculateControllerValues (const Matrix &x_smooth)
| calculate controller outputs (only of nop external value is set)
## Protected Attributes
bool | useExternal
MotorCallback | motorCallback
ControllerCallback | controllerCallback

## Detailed Description

robot controller for self-organized behaviour just like invertmotornstep, just that is enables us to execute the same motor commands for a long time

## Member Typedef Documentation

typedef void(*) ControllerCallback(matrix::Matrix &C, matrix::Matrix &H)

is called with current controller matrix C and bias H which can be alterned

typedef matrix::Matrix(*) MotorCallback(const matrix::Matrix &y)

is called with current motor values and returns new motor values

## Constructor & Destructor Documentation

Deprivation | ( | MotorCallback | motorCallback,
|  | ControllerCallback | controllerCallback = `0`,
|  | const InvertMotorNStepConf & | conf = `getDefaultConf()` |
| ) |  |  | `[inline]`

virtual ~Deprivation | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual matrix::Matrix calculateControllerValues | ( | const Matrix & | x_smooth | ) | `[inline, protected, virtual]`

calculate controller outputs (only of nop external value is set)

Parameters:

  | x_smooth | smoothed sensors Matrix(number_channels,1)

virtual bool getExternalControlMode | ( |  | ) | `[inline, virtual]`

virtual void learnController | ( |  | ) | `[inline, protected, virtual]`

overloaded

Reimplemented from InvertMotorNStep.

virtual void setExternalControlMode | ( | bool | useExternal | ) | `[inline, virtual]`

## Member Data Documentation

ControllerCallback controllerCallback`[protected]`

MotorCallback motorCallback`[protected]`

bool useExternal`[protected]`

The documentation for this class was generated from the following file:

- deprivation.h